import React from 'react';
import { CropperProps as DefaultCropperProps, ScaleImageSettings } from 'react-advanced-cropper';
import { PublicNavigationProps } from './Navigation';
import './Cropper.scss';
export interface CropperProps extends Omit<DefaultCropperProps, 'transitions' | 'priority' | 'imageRestriction' | 'stencilSize' | 'stencilConstraints' | 'transformImage'> {
    spinnerClassName?: string;
    resizeImage?: boolean | Omit<ScaleImageSettings, 'adjustStencil'>;
    navigation?: boolean;
    navigationProps?: PublicNavigationProps;
}
export declare const Cropper: React.ForwardRefExoticComponent<CropperProps & React.RefAttributes<unknown>>;
