export declare function range(from: number, to: number, step?: number): number[];
export declare function isNull<T>(value: T | null): value is null;
export declare function isObject<T extends object, U>(value: T | U): value is NonNullable<T>;
export declare function isString<T>(value: string | T): value is string;
