import { CSSProperties, FC } from 'react';
import { CropperRef } from 'react-advanced-cropper';
import { PublicNavigationProps } from './Navigation';
import './CropperWrapper.scss';
export interface CropperWrapperProps<CropperRef = unknown> {
    cropper: CropperRef;
    loading: boolean;
    loaded: boolean;
    className?: string;
    style?: CSSProperties;
    spinnerClassName?: string;
    navigation?: boolean;
    navigationProps?: PublicNavigationProps;
}
export declare const CropperWrapper: FC<CropperWrapperProps<CropperRef>>;
